Bug 52256 - pcmcia script fails restart if network is loaded
pcmcia script fails restart if network is loaded
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-21 21:56 EDT by Scott Russell
Modified: 2014-03-16 22:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-23 23:48:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Russell 2001-08-21 21:56:10 EDT
Description of Problem:
If eth0 is up and you run /sbin/service pcmcia restart the following errors
happen. pcmcia script (or hotplug?) should first down any eth0 interfaces
in use by pcmcia devices before doing a restart. This makes sense
considering when you start pcmcia services any ethX interfaces are
automatically started. For consistancy they should also be stopped when
shuting down pcmcia services.

[root@mirage boot]# /sbin/ifconfig
eth0      Link encap:Ethernet  HWaddr 00:02:2D:03:03:8E  
          inet addr:192.168.0.5  Bcast:192.168.0.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:3 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 
          RX bytes:0 (0.0 b)  TX bytes:204 (204.0 b)

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:99 errors:0 dropped:0 overruns:0 frame:0
          TX packets:99 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 
          RX bytes:7228 (7.0 Kb)  TX bytes:7228 (7.0 Kb)

[root@mirage boot]# /sbin/service pcmcia restart
Shutting down PCMCIA services: cardmgr modulesds: Device or resource busy
yenta_socket: Device or resource busy
pcmcia_core: Device or resource busy
.
Starting PCMCIA services: cardmgr.
[root@mirage boot]# 


Version-Release number of selected component (if applicable):

initscripts-6.20-1
Roswell 2 / i386 / Laptop Install / RC1 / BETA4

How Reproducible:
100%

Steps to Reproduce:
See above output for example.
Comment 1 Glen Foster 2001-08-22 18:10:30 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 2 Bill Nottingham 2001-08-23 22:32:51 EDT
Does this persist with initscripts-6.26-1.
Comment 3 Bill Nottingham 2001-08-23 22:54:39 EDT
Make that hotplug-2001_04_24-10 and kernel-pcmcia-cs-3.1.27-9, actually.
Comment 4 Scott Russell 2001-08-23 23:47:57 EDT
woot.

initscripts 6.26-1 didn't make a bit of difference for this problem.

Updating to hotplug-2001_04_24-10 and kernel-pcmcia-cs-3.1.27-9 did fix the
problem. 

After updating now I can run pcmcia [start|stop|restart] without having to down
the eth0 pcmcia interface as a seperate step. Nice work.

(What was the fix???)

This can be closed.

Comment 5 Bill Nottingham 2001-08-24 11:47:42 EDT
The fix was removing a really bad idea that made no sense from the
hotplug/pcmcia packages. :)

Note You need to log in before you can comment on or make changes to this bug.